Create Conversion Rule
curl --request POST \
--url 'https://api.adside.ai/linkedin/mcp#create_conversion_rule' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"account_id": "<string>",
"conversion_method": "CONVERSIONS_API",
"post_click_attribution_window": "30",
"view_through_attribution_window": "7",
"attribution_type": "LAST_TOUCH_BY_CAMPAIGN",
"auto_associate": true
}
},
"id": "1"
}
'import requests
url = "https://api.adside.ai/linkedin/mcp#create_conversion_rule"
payload = {
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"account_id": "<string>",
"conversion_method": "CONVERSIONS_API",
"post_click_attribution_window": "30",
"view_through_attribution_window": "7",
"attribution_type": "LAST_TOUCH_BY_CAMPAIGN",
"auto_associate": True
}
},
"id": "1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '<string>',
method: '<string>',
params: {
name: '<string>',
arguments: {
name: '<string>',
account_id: '<string>',
conversion_method: 'CONVERSIONS_API',
post_click_attribution_window: '30',
view_through_attribution_window: '7',
attribution_type: 'LAST_TOUCH_BY_CAMPAIGN',
auto_associate: true
}
},
id: '1'
})
};
fetch('https://api.adside.ai/linkedin/mcp#create_conversion_rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Linkedin
Create Conversion Rule
Create a new conversion tracking rule for a LinkedIn Ad Account. Optionally auto-associates with all campaigns.
POST
/
linkedin
/
mcp#create_conversion_rule
Create Conversion Rule
Authorizations
API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.
Body
application/json
⌘I